Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | List of all members
OsStackTraceGetter Class Reference

`#include <gtest-internal-inl.h>`

Inheritance diagram for OsStackTraceGetter:

## Public Member Functions
| OsStackTraceGetter ()
virtual String | CurrentStackTrace (int max_depth, int skip_count)
virtual void | UponLeavingGTest ()
| OsStackTraceGetter ()
virtual String | CurrentStackTrace (int max_depth, int skip_count)
virtual void | UponLeavingGTest ()
| OsStackTraceGetter ()
virtual String | CurrentStackTrace (int max_depth, int skip_count)
virtual void | UponLeavingGTest ()
Public Member Functions inherited from OsStackTraceGetterInterface
| OsStackTraceGetterInterface ()
virtual | ~OsStackTraceGetterInterface ()
| OsStackTraceGetterInterface ()
virtual | ~OsStackTraceGetterInterface ()
| OsStackTraceGetterInterface ()
virtual | ~OsStackTraceGetterInterface ()

## Static Public Attributes
static const char *const | kElidedFramesMarker

## Constructor & Destructor Documentation

OsStackTraceGetter | ( |  | ) |
| inline

OsStackTraceGetter | ( |  | ) |
| inline

OsStackTraceGetter | ( |  | ) |
| inline

## Member Function Documentation

String CurrentStackTrace | ( | int | max_depth,
|  | int | skip_count
| ) |  |
| virtual

Implements OsStackTraceGetterInterface.

virtual String CurrentStackTrace | ( | int | max_depth,
|  | int | skip_count
| ) |  |
| virtual

Implements OsStackTraceGetterInterface.

virtual String CurrentStackTrace | ( | int | max_depth,
|  | int | skip_count
| ) |  |
| virtual

Implements OsStackTraceGetterInterface.

virtual void UponLeavingGTest | ( |  | ) |
| virtual

Implements OsStackTraceGetterInterface.

void UponLeavingGTest | ( |  | ) |
| virtual

Implements OsStackTraceGetterInterface.

virtual void UponLeavingGTest | ( |  | ) |
| virtual

Implements OsStackTraceGetterInterface.

## Member Data Documentation

const char *const kElidedFramesMarker
| static

Initial value:
=
"... " GTEST_NAME_ " internal frames ..."

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/src/gtest-internal-inl.h
- testing/googleTest/fused-src/gtest/gtest-all.cc
- persistence/rapidjson/thirdparty/gtest/src/gtest.cc